Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.relaxng.datatype
Interface DatatypeLibrary

    public interface DatatypeLibrary

A Datatype library

Author:
  James Clark, Kohsuke KAWAGUCHI

Method Summary
`Datatype` | `createDatatype(java.lang.String typeLocalName)` Gets or creates a pre-defined type.
`DatatypeBuilder` | `createDatatypeBuilder(java.lang.String baseTypeLocalName)` Creates a new instance of DatatypeBuilder.

Method Detail

### createDatatypeBuilder

    DatatypeBuilder createDatatypeBuilder(java.lang.String baseTypeLocalName)
                                          throws DatatypeException

  Creates a new instance of DatatypeBuilder. The callee should throw a DatatypeException in case of an error.

  Parameters:
    `baseTypeLocalName` - The local name of the base type.
  Returns:
    A non-null valid datatype object.
  Throws:
    `DatatypeException`

### createDatatype

    Datatype createDatatype(java.lang.String typeLocalName)
                            throws DatatypeException

  Gets or creates a pre-defined type. This is just a short-cut of `createDatatypeBuilder(typeLocalName).createDatatype();` The callee should throw a DatatypeException in case of an error.

  Returns:
    A non-null valid datatype object.
  Throws:
    `DatatypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD